<template>
    <div>
        <div class="content-button-right" @click="changeTab()" v-show="pass && hasStartedSession">
            <a class="btn btn-circle waves-effect waves-light" :style="buttonStyle">
                <transition name="fade" mode="in-out">
                    <i class="ti-angle-right" :style="this.dw < 768 ? 'color:#20b9ae' :'color:white'" v-if="! isLastStep"></i>
                    <i class="ti-check" :style="this.dw < 768 ? 'color:#20b9ae' :'color:white'" v-if="isLastStep"></i>
                </transition>
            </a>
        </div>

        <div class="content-button-load" v-show="!pass && hasStartedSession">
            <div class="col-md-2 col-sm-3 col-xs-6 mb-2">
                    <div class="sk-spinner sk-spinner-pulse bg-info"></div>
            </div>
        </div>
    </div>
</template>

<script>

import { mapGetters, mapActions } from 'vuex'

export default {
    computed: {
        ...mapGetters(['session', 'pass', 'hasStartedSession']),
        isLastStep() {
            return this.session.slide_index == this.session.slides.length - 1 ? true : false
        },
        dw(){
            return $(window).width()
        },
        buttonStyle(){
            let obj = {
                backgroundColor: this.dw < 768 ? '#20b9ae30' :'#20b9ae',
                border:'solid 1px #20b9ae'
            }

            return obj
        }
    },
    methods: {
        ...mapActions(['incrementIndex']),
        changeTab() {
            if (!this.isLastStep) {
                this.incrementIndex()
                return;
            }
            this.$emit('complete')
        }
    },
    
}
</script>

